<?php
require_once(getabspath("classes/cipherer.php"));
$tdatav_det_movimiento = array();
	$tdatav_det_movimiento[".NumberOfChars"] = 80; 
	$tdatav_det_movimiento[".ShortName"] = "v_det_movimiento";
	$tdatav_det_movimiento[".OwnerID"] = "";
	$tdatav_det_movimiento[".OriginalTable"] = "det_movimiento";

//	field labels
$fieldLabelsv_det_movimiento = array();
if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsv_det_movimiento["Spanish"] = array();
	$fieldToolTipsv_det_movimiento["Spanish"] = array();
	$fieldLabelsv_det_movimiento["Spanish"]["iddet_movimiento"] = "Iddet Movimiento";
	$fieldToolTipsv_det_movimiento["Spanish"]["iddet_movimiento"] = "";
	$fieldLabelsv_det_movimiento["Spanish"]["idcuenta"] = "Cuenta";
	$fieldToolTipsv_det_movimiento["Spanish"]["idcuenta"] = "";
	$fieldLabelsv_det_movimiento["Spanish"]["monto_apertura"] = "Monto Apertura";
	$fieldToolTipsv_det_movimiento["Spanish"]["monto_apertura"] = "";
	$fieldLabelsv_det_movimiento["Spanish"]["monto_cierre"] = "Monto Cierre";
	$fieldToolTipsv_det_movimiento["Spanish"]["monto_cierre"] = "";
	$fieldLabelsv_det_movimiento["Spanish"]["idmovimiento"] = "Nº Movimiento";
	$fieldToolTipsv_det_movimiento["Spanish"]["idmovimiento"] = "";
	$fieldLabelsv_det_movimiento["Spanish"]["fecha_apertura"] = "Fecha Apertura";
	$fieldToolTipsv_det_movimiento["Spanish"]["fecha_apertura"] = "";
	$fieldLabelsv_det_movimiento["Spanish"]["monto_recaudado"] = "Monto Recaudado";
	$fieldToolTipsv_det_movimiento["Spanish"]["monto_recaudado"] = "";
	$fieldLabelsv_det_movimiento["Spanish"]["monto_gastado"] = "Monto Gastado";
	$fieldToolTipsv_det_movimiento["Spanish"]["monto_gastado"] = "";
	$fieldLabelsv_det_movimiento["Spanish"]["fecha_cierre"] = "Fecha Cierre";
	$fieldToolTipsv_det_movimiento["Spanish"]["fecha_cierre"] = "";
	if (count($fieldToolTipsv_det_movimiento["Spanish"]))
		$tdatav_det_movimiento[".isUseToolTips"] = true;
}
	
	
	$tdatav_det_movimiento[".NCSearch"] = true;



$tdatav_det_movimiento[".shortTableName"] = "v_det_movimiento";
$tdatav_det_movimiento[".nSecOptions"] = 0;
$tdatav_det_movimiento[".recsPerRowList"] = 1;
$tdatav_det_movimiento[".mainTableOwnerID"] = "";
$tdatav_det_movimiento[".moveNext"] = 1;
$tdatav_det_movimiento[".nType"] = 1;

$tdatav_det_movimiento[".strOriginalTableName"] = "det_movimiento";




$tdatav_det_movimiento[".showAddInPopup"] = false;

$tdatav_det_movimiento[".showEditInPopup"] = false;

$tdatav_det_movimiento[".showViewInPopup"] = false;

$tdatav_det_movimiento[".fieldsForRegister"] = array();
	
if (!isMobile())
	$tdatav_det_movimiento[".listAjax"] = true;
else 
	$tdatav_det_movimiento[".listAjax"] = false;

	$tdatav_det_movimiento[".audit"] = false;

	$tdatav_det_movimiento[".locking"] = false;


$tdatav_det_movimiento[".exportTo"] = true;

$tdatav_det_movimiento[".printFriendly"] = true;


$tdatav_det_movimiento[".showSimpleSearchOptions"] = false;

$tdatav_det_movimiento[".showSearchPanel"] = true;

if (isMobile())
	$tdatav_det_movimiento[".isUseAjaxSuggest"] = false;
else 
	$tdatav_det_movimiento[".isUseAjaxSuggest"] = true;

$tdatav_det_movimiento[".rowHighlite"] = true;

// button handlers file names
$tdatav_det_movimiento[".isUsebuttonHandlers"] = true;

$tdatav_det_movimiento[".addPageEvents"] = false;

// use timepicker for search panel
$tdatav_det_movimiento[".isUseTimeForSearch"] = false;




$tdatav_det_movimiento[".allSearchFields"] = array();


$tdatav_det_movimiento[".googleLikeFields"][] = "iddet_movimiento";
$tdatav_det_movimiento[".googleLikeFields"][] = "idmovimiento";
$tdatav_det_movimiento[".googleLikeFields"][] = "idcuenta";
$tdatav_det_movimiento[".googleLikeFields"][] = "monto_apertura";
$tdatav_det_movimiento[".googleLikeFields"][] = "monto_cierre";
$tdatav_det_movimiento[".googleLikeFields"][] = "fecha_apertura";
$tdatav_det_movimiento[".googleLikeFields"][] = "monto_recaudado";
$tdatav_det_movimiento[".googleLikeFields"][] = "monto_gastado";
$tdatav_det_movimiento[".googleLikeFields"][] = "fecha_cierre";



$tdatav_det_movimiento[".isTableType"] = "list";

	



// Access doesn't support subqueries from the same table as main


$tdatav_det_movimiento[".totalsFields"][] = array(
	"fName" => "monto_apertura", 
	"numRows" => 0,
	"totalsType" => "TOTAL",
	"viewFormat" => 'Number');
$tdatav_det_movimiento[".totalsFields"][] = array(
	"fName" => "monto_recaudado", 
	"numRows" => 0,
	"totalsType" => "TOTAL",
	"viewFormat" => 'Number');
$tdatav_det_movimiento[".totalsFields"][] = array(
	"fName" => "monto_gastado", 
	"numRows" => 0,
	"totalsType" => "TOTAL",
	"viewFormat" => 'Number');
$tdatav_det_movimiento[".totalsFields"][] = array(
	"fName" => "monto_cierre", 
	"numRows" => 0,
	"totalsType" => "TOTAL",
	"viewFormat" => 'Number');

$tdatav_det_movimiento[".pageSize"] = 20;

$tstrOrderBy = "ORDER BY iddet_movimiento DESC";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatav_det_movimiento[".strOrderBy"] = $tstrOrderBy;

$tdatav_det_movimiento[".orderindexes"] = array();
$tdatav_det_movimiento[".orderindexes"][] = array(1, (0 ? "ASC" : "DESC"), "iddet_movimiento");

$tdatav_det_movimiento[".sqlHead"] = "SELECT iddet_movimiento,  idmovimiento,  idcuenta,  monto_apertura,  monto_cierre,  fecha_apertura,  monto_recaudado,  monto_gastado,  fecha_cierre";
$tdatav_det_movimiento[".sqlFrom"] = "FROM det_movimiento";
$tdatav_det_movimiento[".sqlWhereExpr"] = "";
$tdatav_det_movimiento[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatav_det_movimiento[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatav_det_movimiento[".arrGroupsPerPage"] = $arrGPP;

$tableKeysv_det_movimiento = array();
$tableKeysv_det_movimiento[] = "iddet_movimiento";
$tdatav_det_movimiento[".Keys"] = $tableKeysv_det_movimiento;

$tdatav_det_movimiento[".listFields"] = array();
$tdatav_det_movimiento[".listFields"][] = "idcuenta";
$tdatav_det_movimiento[".listFields"][] = "fecha_apertura";
$tdatav_det_movimiento[".listFields"][] = "monto_apertura";
$tdatav_det_movimiento[".listFields"][] = "monto_recaudado";
$tdatav_det_movimiento[".listFields"][] = "monto_gastado";
$tdatav_det_movimiento[".listFields"][] = "monto_cierre";
$tdatav_det_movimiento[".listFields"][] = "fecha_cierre";

$tdatav_det_movimiento[".viewFields"] = array();

$tdatav_det_movimiento[".addFields"] = array();

$tdatav_det_movimiento[".inlineAddFields"] = array();

$tdatav_det_movimiento[".editFields"] = array();

$tdatav_det_movimiento[".inlineEditFields"] = array();

$tdatav_det_movimiento[".exportFields"] = array();
$tdatav_det_movimiento[".exportFields"][] = "idmovimiento";
$tdatav_det_movimiento[".exportFields"][] = "idcuenta";
$tdatav_det_movimiento[".exportFields"][] = "monto_apertura";
$tdatav_det_movimiento[".exportFields"][] = "monto_cierre";
$tdatav_det_movimiento[".exportFields"][] = "fecha_apertura";
$tdatav_det_movimiento[".exportFields"][] = "monto_recaudado";
$tdatav_det_movimiento[".exportFields"][] = "monto_gastado";
$tdatav_det_movimiento[".exportFields"][] = "fecha_cierre";

$tdatav_det_movimiento[".printFields"] = array();
$tdatav_det_movimiento[".printFields"][] = "fecha_apertura";
$tdatav_det_movimiento[".printFields"][] = "monto_apertura";
$tdatav_det_movimiento[".printFields"][] = "monto_recaudado";
$tdatav_det_movimiento[".printFields"][] = "monto_gastado";
$tdatav_det_movimiento[".printFields"][] = "monto_cierre";
$tdatav_det_movimiento[".printFields"][] = "fecha_cierre";

//	iddet_movimiento
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "iddet_movimiento";
	$fdata["GoodName"] = "iddet_movimiento";
	$fdata["ownerTable"] = "det_movimiento";
	$fdata["Label"] = "Iddet Movimiento"; 
	$fdata["FieldType"] = 3;
	
		$fdata["AutoInc"] = true;
	
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "iddet_movimiento"; 
		$fdata["FullName"] = "iddet_movimiento";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatav_det_movimiento["iddet_movimiento"] = $fdata;
//	idmovimiento
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "idmovimiento";
	$fdata["GoodName"] = "idmovimiento";
	$fdata["ownerTable"] = "det_movimiento";
	$fdata["Label"] = "Nº Movimiento"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "idmovimiento"; 
		$fdata["FullName"] = "idmovimiento";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatav_det_movimiento["idmovimiento"] = $fdata;
//	idcuenta
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "idcuenta";
	$fdata["GoodName"] = "idcuenta";
	$fdata["ownerTable"] = "det_movimiento";
	$fdata["Label"] = "Cuenta"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		
		
		
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "idcuenta"; 
		$fdata["FullName"] = "idcuenta";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 2;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "idcuenta";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "denominacion";
	
		
	$edata["LookupTable"] = "cuenta";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		
		
				
	
	
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatav_det_movimiento["idcuenta"] = $fdata;
//	monto_apertura
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "monto_apertura";
	$fdata["GoodName"] = "monto_apertura";
	$fdata["ownerTable"] = "det_movimiento";
	$fdata["Label"] = "Monto Apertura"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "monto_apertura"; 
		$fdata["FullName"] = "monto_apertura";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Number");
	
		
		
		
			
		
		$vdata["DecimalDigits"] = 0;
	
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		$edata["inputStyle"] = " width:100px;";
	$edata["controlWidth"] = 100;
	
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatav_det_movimiento["monto_apertura"] = $fdata;
//	monto_cierre
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "monto_cierre";
	$fdata["GoodName"] = "monto_cierre";
	$fdata["ownerTable"] = "det_movimiento";
	$fdata["Label"] = "Monto Cierre"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "monto_cierre"; 
		$fdata["FullName"] = "monto_cierre";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Number");
	
		
		
		
			
		
		$vdata["DecimalDigits"] = 0;
	
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		$edata["inputStyle"] = " width:100px;";
	$edata["controlWidth"] = 100;
	
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatav_det_movimiento["monto_cierre"] = $fdata;
//	fecha_apertura
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "fecha_apertura";
	$fdata["GoodName"] = "fecha_apertura";
	$fdata["ownerTable"] = "det_movimiento";
	$fdata["Label"] = "Fecha Apertura"; 
	$fdata["FieldType"] = 135;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "fecha_apertura"; 
		$fdata["FullName"] = "fecha_apertura";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Datetime");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Date");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		$edata["DateEditType"] = 11; 
	$edata["InitialYearFactor"] = 100; 
	$edata["LastYearFactor"] = 10; 
	
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
		
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatav_det_movimiento["fecha_apertura"] = $fdata;
//	monto_recaudado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "monto_recaudado";
	$fdata["GoodName"] = "monto_recaudado";
	$fdata["ownerTable"] = "det_movimiento";
	$fdata["Label"] = "Monto Recaudado"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "monto_recaudado"; 
		$fdata["FullName"] = "monto_recaudado";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Number");
	
		
		
		
			
		
		$vdata["DecimalDigits"] = 0;
	
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		$edata["inputStyle"] = " width:100px;";
	$edata["controlWidth"] = 100;
	
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatav_det_movimiento["monto_recaudado"] = $fdata;
//	monto_gastado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "monto_gastado";
	$fdata["GoodName"] = "monto_gastado";
	$fdata["ownerTable"] = "det_movimiento";
	$fdata["Label"] = "Monto Gastado"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "monto_gastado"; 
		$fdata["FullName"] = "monto_gastado";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Number");
	
		
		
		
			
		
		$vdata["DecimalDigits"] = 0;
	
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		$edata["inputStyle"] = " width:100px;";
	$edata["controlWidth"] = 100;
	
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatav_det_movimiento["monto_gastado"] = $fdata;
//	fecha_cierre
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "fecha_cierre";
	$fdata["GoodName"] = "fecha_cierre";
	$fdata["ownerTable"] = "det_movimiento";
	$fdata["Label"] = "Fecha Cierre"; 
	$fdata["FieldType"] = 135;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		
		
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "fecha_cierre"; 
		$fdata["FullName"] = "fecha_cierre";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Datetime");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Date");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		$edata["DateEditType"] = 11; 
	$edata["InitialYearFactor"] = 100; 
	$edata["LastYearFactor"] = 10; 
	
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
		
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatav_det_movimiento["fecha_cierre"] = $fdata;

	
$tables_data["v_det_movimiento"]=&$tdatav_det_movimiento;
$field_labels["v_det_movimiento"] = &$fieldLabelsv_det_movimiento;
$fieldToolTips["v_det_movimiento"] = &$fieldToolTipsv_det_movimiento;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["v_det_movimiento"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["v_det_movimiento"] = array();

$mIndex = 1-1;
			$strOriginalDetailsTable="movimiento_caja";
	$masterParams["mDataSourceTable"]="reimprimir_mov_cajas";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "reimprimir_mov_cajas";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();
	$masterParams["dispChildCount"]= "1";
	$masterParams["hideChild"]= "0";
	$masterParams["dispInfo"]= "1";
	$masterParams["previewOnList"]= 2;
	$masterParams["previewOnAdd"]= 1;
	$masterParams["previewOnEdit"]= 0;
	$masterParams["previewOnView"]= 0;
	$masterTablesData["v_det_movimiento"][$mIndex] = $masterParams;	
		$masterTablesData["v_det_movimiento"][$mIndex]["masterKeys"][]="idmovimiento";
		$masterTablesData["v_det_movimiento"][$mIndex]["detailKeys"][]="idmovimiento";

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_v_det_movimiento()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "iddet_movimiento,  idmovimiento,  idcuenta,  monto_apertura,  monto_cierre,  fecha_apertura,  monto_recaudado,  monto_gastado,  fecha_cierre";
$proto0["m_strFrom"] = "FROM det_movimiento";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "ORDER BY iddet_movimiento DESC";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "iddet_movimiento",
	"m_strTable" => "det_movimiento"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "idmovimiento",
	"m_strTable" => "det_movimiento"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "idcuenta",
	"m_strTable" => "det_movimiento"
));

$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto0["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "monto_apertura",
	"m_strTable" => "det_movimiento"
));

$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto0["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "monto_cierre",
	"m_strTable" => "det_movimiento"
));

$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto0["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha_apertura",
	"m_strTable" => "det_movimiento"
));

$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "";
$obj = new SQLFieldListItem($proto15);

$proto0["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "monto_recaudado",
	"m_strTable" => "det_movimiento"
));

$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "";
$obj = new SQLFieldListItem($proto17);

$proto0["m_fieldlist"][]=$obj;
						$proto19=array();
			$obj = new SQLField(array(
	"m_strName" => "monto_gastado",
	"m_strTable" => "det_movimiento"
));

$proto19["m_expr"]=$obj;
$proto19["m_alias"] = "";
$obj = new SQLFieldListItem($proto19);

$proto0["m_fieldlist"][]=$obj;
						$proto21=array();
			$obj = new SQLField(array(
	"m_strName" => "fecha_cierre",
	"m_strTable" => "det_movimiento"
));

$proto21["m_expr"]=$obj;
$proto21["m_alias"] = "";
$obj = new SQLFieldListItem($proto21);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto23=array();
$proto23["m_link"] = "SQLL_MAIN";
			$proto24=array();
$proto24["m_strName"] = "det_movimiento";
$proto24["m_columns"] = array();
$proto24["m_columns"][] = "iddet_movimiento";
$proto24["m_columns"][] = "idmovimiento";
$proto24["m_columns"][] = "idcuenta";
$proto24["m_columns"][] = "fecha_apertura";
$proto24["m_columns"][] = "monto_apertura";
$proto24["m_columns"][] = "monto_recaudado";
$proto24["m_columns"][] = "monto_gastado";
$proto24["m_columns"][] = "fecha_cierre";
$proto24["m_columns"][] = "monto_cierre";
$proto24["m_columns"][] = "estado";
$obj = new SQLTable($proto24);

$proto23["m_table"] = $obj;
$proto23["m_alias"] = "";
$proto25=array();
$proto25["m_sql"] = "";
$proto25["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto25["m_column"]=$obj;
$proto25["m_contained"] = array();
$proto25["m_strCase"] = "";
$proto25["m_havingmode"] = "0";
$proto25["m_inBrackets"] = "0";
$proto25["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto25);

$proto23["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto23);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
												$proto27=array();
						$obj = new SQLField(array(
	"m_strName" => "iddet_movimiento",
	"m_strTable" => "det_movimiento"
));

$proto27["m_column"]=$obj;
$proto27["m_bAsc"] = 0;
$proto27["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto27);

$proto0["m_orderby"][]=$obj;					
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_v_det_movimiento = createSqlQuery_v_det_movimiento();
									$tdatav_det_movimiento[".sqlquery"] = $queryData_v_det_movimiento;
	
if(isset($tdatav_det_movimiento["field2"])){
	$tdatav_det_movimiento["field2"]["LookupTable"] = "carscars_view";
	$tdatav_det_movimiento["field2"]["LookupOrderBy"] = "name";
	$tdatav_det_movimiento["field2"]["LookupType"] = 4;
	$tdatav_det_movimiento["field2"]["LinkField"] = "email";
	$tdatav_det_movimiento["field2"]["DisplayField"] = "name";
	$tdatav_det_movimiento[".hasCustomViewField"] = true;
}

include_once(getabspath("include/v_det_movimiento_events.php"));
$tableEvents["v_det_movimiento"] = new eventclass_v_det_movimiento;
$tdatav_det_movimiento[".hasEvents"] = true;

$cipherer = new RunnerCipherer("v_det_movimiento");

?>